Packed To Planar Channel Copy
Image Copy Operations

Split a packed multi-channel image into multiple single channel planes. More...

## Functions

NppStatus | nppiCopy_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *const aDst[3], int nDstStep, NppiSize oSizeROI)
| Three-channel 8-bit unsigned packed to planar image copy. More...
NppStatus | nppiCopy_8u_C4P4R (const Npp8u *pSrc, int nSrcStep, Npp8u *const aDst[4], int nDstStep, NppiSize oSizeROI)
| Four-channel 8-bit unsigned packed to planar image copy. More...
NppStatus | nppiCopy_16s_C3P3R (const Npp16s *pSrc, int nSrcStep, Npp16s *const aDst[3], int nDstStep, NppiSize oSizeROI)
| Three-channel 16-bit signed packed to planar image copy. More...
NppStatus | nppiCopy_16s_C4P4R (const Npp16s *pSrc, int nSrcStep, Npp16s *const aDst[4], int nDstStep, NppiSize oSizeROI)
| Four-channel 16-bit signed packed to planar image copy. More...
NppStatus | nppiCopy_16u_C3P3R (const Npp16u *pSrc, int nSrcStep, Npp16u *const aDst[3], int nDstStep, NppiSize oSizeROI)
| Three-channel 16-bit unsigned packed to planar image copy. More...
NppStatus | nppiCopy_16u_C4P4R (const Npp16u *pSrc, int nSrcStep, Npp16u *const aDst[4], int nDstStep, NppiSize oSizeROI)
| Four-channel 16-bit unsigned packed to planar image copy. More...
NppStatus | nppiCopy_32s_C3P3R (const Npp32s *pSrc, int nSrcStep, Npp32s *const aDst[3], int nDstStep, NppiSize oSizeROI)
| Three-channel 32-bit signed packed to planar image copy. More...
NppStatus | nppiCopy_32s_C4P4R (const Npp32s *pSrc, int nSrcStep, Npp32s *const aDst[4], int nDstStep, NppiSize oSizeROI)
| Four-channel 32-bit signed packed to planar image copy. More...
NppStatus | nppiCopy_32f_C3P3R (const Npp32f *pSrc, int nSrcStep, Npp32f *const aDst[3], int nDstStep, NppiSize oSizeROI)
| Three-channel 32-bit float packed to planar image copy. More...
NppStatus | nppiCopy_32f_C4P4R (const Npp32f *pSrc, int nSrcStep, Npp32f *const aDst[4], int nDstStep, NppiSize oSizeROI)
| Four-channel 32-bit float packed to planar image copy. More...

## Detailed Description

Split a packed multi-channel image into multiple single channel planes.

E.g. copy the three channels of an RGB image into three separate single-channel images.

### Common parameters for nppiCopy_CXPX functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  aDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopy_16s_C3P3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s *const | aDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 16-bit signed packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_16s_C4P4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s *const | aDst[4],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 16-bit signed packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_16u_C3P3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u *const | aDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 16-bit unsigned packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_16u_C4P4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u *const | aDst[4],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 16-bit unsigned packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_32f_C3P3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f *const | aDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 32-bit float packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_32f_C4P4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f *const | aDst[4],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 32-bit float packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_32s_C3P3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s *const | aDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 32-bit signed packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_32s_C4P4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s *const | aDst[4],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 32-bit signed packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u *const | aDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 8-bit unsigned packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

NppStatus nppiCopy_8u_C4P4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u *const | aDst[4],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 8-bit unsigned packed to planar image copy.

For common parameter descriptions, see Common parameters for nppiCopy_CXPX functions.

Copyright © 2009-2017 NVIDIA Corporation